Search Members Help

» Welcome Guest
[ Log In :: Register ]

Mini-ITX Boards Sale, Fanless BareBones Mini-ITX, Bootable 1G DSL USBs, 533MHz Fanless PC <-- SALE $200 each!
Get The Official Damn Small Linux Book. DSL Market , Great VPS hosting provided by Tektonic
Pages: (2) </ [1] 2 >/

[ Track this topic :: Email this topic :: Print this topic ]

reply to topic new topic new poll
Topic: "apt-get install make" error< Next Oldest | Next Newest >
didi0101 Offline

Group: Members
Posts: 2
Joined: Mar. 2004
Posted: Mar. 27 2004,06:57 QUOTE

apt-get install make

output result

/bin/sh:line 1: /usr/sbin/dpkg-preconfigure: No such file or directory

Back to top
Profile PM 
didi0101 Offline

Group: Members
Posts: 2
Joined: Mar. 2004
Posted: Mar. 28 2004,03:10 QUOTE

i got it.
reinstall DSL0.6.2 not 0.6.1
Back to top
Profile PM 

Posted: April 15 2004,22:53 QUOTE

hi, nice linux distro :)
i have some problems with dsl though..

root@box:/home/damnsmall# apt-get install make
Reading Package Lists... Done
Building Dependency Tree... Done
The following extra packages will be installed:
The following NEW packages will be installed:
 fileutils make
0 upgraded, 2 newly installed, 0 to remove and 1 not upgraded.
Need to get 1097kB of archives.
After unpacking 2773kB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 stable/main fileutils 4.1-10 [710kB]
Get:2 stable/main make 3.79.1-14 [386kB]
Fetched 1097kB in 6s (182kB/s)                                                                                                                    
Selecting previously deselected package fileutils.
(Reading database ... 10753 files and directories currently installed.)
Unpacking fileutils (from .../fileutils_4.1-10_i386.deb) ...
dpkg: error processing /var/cache/apt/archives/fileutils_4.1-10_i386.deb (--unpack):
trying to overwrite `/bin/chgrp', which is also in package coreutils
dpkg-deb: subprocess paste killed by signal (Broken pipe)
Errors were encountered while processing:
E: Sub-process /usr/bin/dpkg returned an error code (1)

my goal was to install mplayer, i've configured my apt sourcelist to check there: deb unstable main
to get the latest, but now i have few problems:

- how to get "apt-get install mplayer-nogui " to satisfy dependencies?
- if i decide to get mplayer's source, i can't compile nothing, the developpment tools aren't installed...

someone could list me the packages i will need to install normal dev environment? like being able to do a ./configure
make install ...

and for apt, how can i tell apt-get to auto satisfy the deps?

thanks :)
Back to top

Posted: April 15 2004,23:01 QUOTE

ah i forgot to say, this is the 0.6.3 dsl..
Back to top
roberts Offline

Group: Members
Posts: 4983
Joined: Oct. 2003
Posted: April 16 2004,07:05 QUOTE

Do an enhanced dsl-hdinstall. From your text it appears that you did a standard install and chgrp is linked to busybox. It looks like that is where the pkg installation broke. If you are going to install alot of software, do an enhanced hard drive install.
Back to top
Profile PM WEB 
7 replies since Mar. 27 2004,06:57 < Next Oldest | Next Newest >

[ Track this topic :: Email this topic :: Print this topic ]

Pages: (2) </ [1] 2 >/
reply to topic new topic new poll
Quick Reply: "apt-get install make" error

Do you wish to enable your signature for this post?
Do you wish to enable emoticons for this post?
Track this topic
View All Emoticons
View iB Code